Subject: Re: Mac databases and Chinese System

From: Roger Hart <[email-masked]>
Date: Wed, 16 Sep 1992 03:04:46 PDT

The international version of 4D should be fully compatible
with the Chinese ScriptT/7 for System 7, according to ACIUS.
However, at $895 for version 3.0 it is rather expensive.
(Note: the US version will not even load with Chinese
resources in the System Folder).  Although the FoxPro demo
runs fine under the Chinese system, Fox technical support
states it is not compatible; under Microsoft ownership, you
can probably expect little better.  Neither of the most
popular bibliographic databases--EndNote and Pro-Cite--are
usable under Chinese, although both seem to be interested in
developing a compatible product.

I should note, though, that all of the database programs are
compatible to varying degrees, and it may be possible to find
one that suits your purpose with suitable work-arounds.

I would be interested in hearing anyone else's ideas about
using Chinese with Mac databases.  I will probably try to go
with 4D (BYTE magazine claims that they are the best database
for any microcomputer, and having looked at others, they seem
right.)

P.S.  If you are using Nisus, it doesn't matter whether the
database exports with fonts or not.  You can use a Find All
command to select the code that represents Chinese characters
by specifying the ASCII ranges--first byte is A1 to FA;
second byte is 40 to FE--and then select the font you want.

Roger Hart
UCLA